=== debian/changelog ===
latrace (0.5.4-1maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kiryl Shutsemau <kiryl.shutsemau@nokia.com>  Mon, 23 Mar 2009 12:55:23 +0200

latrace (0.5.4-1maemo1) unstable; urgency=low

  * Update to 0.5.4

 -- Kiryl Shutsemau <kiryl.shutsmeau@nokia.com>  Mon, 23 Mar 2009 11:52:43 +0200

latrace (0.5.3-1maemo1) unstable; urgency=low

  * Cleaned some leftover files from source package.

 -- Akos Pasztory <akos.pasztory@gmail.com>  Wed, 25 Feb 2009 17:49:40 +0200

latrace (0.5.3-1) unstable; urgency=low

  * Created Debian package.
  * Initial upload of the package. Fixes: NB#99018

 -- Akos Pasztory <akos.pasztory@gmail.com>  Wed, 25 Feb 2009 10:30:50 +0200
