=== src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#  Copyright (C) 2008, 2009 Jiri Olsa <olsajiri@gmail.com>
+#  Copyright (C) 2008, 2009, 2010 Jiri Olsa <olsajiri@gmail.com>
 #
 #  This file is part of the latrace.
 #
@@ -18,47 +18,67 @@
 
 
 # libltaudit.so 
-AUDIT_BIN=libltaudit.so
+AUDIT_BIN=libltaudit.so.$(CONFIG_VERSION)
+AUDIT_LDFLAGS="-Wl,-init=audit_init" "-Wl,-soname,$(AUDIT_BIN)" -fPIC -shared $(LDFLAGS)
+AUDIT_LIBS=$(LIBS) $(LEXLIB)
+
 AUDIT_OBJS=\
 	src/audit.o \
 	src/audit-init.o \
 	src/fifo.o \
+	src/output.o \
+	src/objsearch.o \
+	src/stack.o \
+	src/symbol.o \
+	src/lib-include.o
+
+ifeq ($(CONFIG_ARCH_HAVE_ARGS),y)
+AUDIT_OBJS+=\
 	src/args-bison.o \
 	src/args-flex.o \
 	src/args.o \
-	src/output.o \
-	src/objsearch.o \
 	src/sysdeps/$(CONFIG_SYSDEP_DIR)/stack.o
+endif
 
 OBJS+=$(AUDIT_OBJS)
 PROGRAMS+= $(AUDIT_BIN)
 
 $(AUDIT_BIN): $(AUDIT_OBJS)
-	$(QUIET_LD)$(CC) "-Wl,-init=audit_init" -fPIC -shared -o $@ $(AUDIT_OBJS) $(AUDIT_LIBS)
+	$(QUIET_LD)$(CC) $(CFLAGS) $(AUDIT_LDFLAGS) -o $@ $^ $(AUDIT_LIBS)
 
 install::
-	$(call install,$(AUDIT_BIN),$(libdir),"rx")
+	$(call install,$(AUDIT_BIN),$(libdir),755)
 
 # latrace binary
 LATRACE_BIN=latrace
+LATRACE_CTL=latrace-ctl
+LATRACE_LIB= $(LIBS)
+
 LATRACE_OBJS=\
 	src/latrace.o \
+	src/ctl.o \
 	src/config.o \
 	src/run.o \
 	src/stats.o \
 	src/fifo.o \
 	src/thread.o \
-	src/output.o
+	src/output.o \
+	src/config-bison.o \
+	src/config-flex.o \
+	src/lib-include.o \
+	src/tty.o
 
 OBJS+=$(LATRACE_OBJS)
 PROGRAMS+=$(LATRACE_BIN)
 CPPFLAGS+=-DCONFIG_LIBDIR=\"$(libdir)\"
-CPPFLAGS+=-DLT_ARGS_DEF_DIR=\"$(confdir)\"
-CPPFLAGS+=-DLT_ARGS_DEF_CONF=\"$(sysconfdir)/latrace.conf\"
+CPPFLAGS+=-DLT_CONF_DIR=\"$(sysconfdir)/latrace.d\"
+CPPFLAGS+=-DLT_CONF_HEADERS_DIR=\"$(sysconfdir)/latrace.d/headers\"
+CPPFLAGS+=-DLT_CONF_HEADERS_FILE=\"$(sysconfdir)/latrace.d/headers/latrace.h\"
 
 $(LATRACE_BIN): $(LATRACE_OBJS)
-	$(QUIET_LD)$(CC) $(LDFLAGS) -o $@ $(LATRACE_OBJS) $(LATRACE_LIBS) $(LIBS)
+	$(QUIET_LD)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ $(LATRACE_LIB)
 
 install::
-	$(call install,$(LATRACE_BIN),$(bindir),"rx")
+	$(call install,$(LATRACE_BIN),$(bindir),755)
+	$(call link,$(LATRACE_BIN),$(LATRACE_CTL),$(bindir))
