## latrace 0.5.11

=== Makefile ===
--- 
+++ 
@@ -147,7 +147,8 @@
 endif
 
 INCLUDES= -I. -Isrc -Isrc/sysdeps/$(CONFIG_SYSDEP_DIR)
-ALL_CFLAGS=$(CPPFLAGS) $(CFLAGS) -O2 -fPIC -Wall $(INCLUDES) -D_GNU_SOURCE
+ALL_CFLAGS=$(CPPFLAGS) $(CFLAGS) -O2 -fPIC -Wall $(INCLUDES)
+ALL_CFLAGS+=-D_GNU_SOURCE -imacros src/autoconf.h
 
 
 %.o: %.c LATRACE-CFLAGS
@@ -166,8 +167,6 @@
 
 clean::
 	$(call remove, $(OBJS) $(PROGRAMS))
-	$(call remove, src/args-bison.c src/args-flex.c src/args-bison.h src/args-bison.output)
-	$(call remove, src/config-bison.c src/config-flex.c src/config-bison.h src/config-bison.output)
 	$(call remove, lib bin share deps.make latrace-$(CONFIG_VERSION))
 
 mrproper::
@@ -191,9 +190,7 @@
 # The gcc -M depedencies generation needs to repaired to include
 # subdirectory name within the target.. at least I haven't find any
 # gcc option to do that.
-#  - no dependency for flex and bison definitions
-DEPS_OBJS=$(filter-out src/args-flex.o src/args-bison.o,$(OBJS))
-DEPS_OBJS:=$(filter-out src/config-bison.o src/config-flex.o,$(DEPS_OBJS))
+DEPS_OBJS=$(filter-out $(OBJS_DEPS_OMIT),$(OBJS))
 
 deps.make:
 	$(QUIET_DEP)$(RM) -f deps.make; \
